Description: add environment variables to the build
diff --git a/Makefile b/Makefile
index 145f3e0..27f83cc 100644
--- a/Makefile
+++ b/Makefile
@@ -3,8 +3,8 @@ FRONTEND_SUPPORTS_RGB565 = 1
 PROFILE ?= performance
 
 CORE_DIR := .
-CFLAGS :=
-CXXFLAGS :=
+CFLAGS += $(CPPFLAGS)
+CXXFLAGS += $(CPPFLAGS)
 
 SPACE :=
 SPACE := $(SPACE) $(SPACE)
diff --git a/target-libretro/Makefile b/target-libretro/Makefile
index 5059b96..97bb88a 100644
--- a/target-libretro/Makefile
+++ b/target-libretro/Makefile
@@ -46,7 +46,7 @@ obj/libretro-$(profile).o: $(ui)/libretro.cpp $(ui)/*
 #targets
 build: $(objects)
 ifeq ($(platform),linux)
-	$(compiler) -o out/bsnes_mercury_$(profile)_libretro.so -shared $(objects) -ldl -Wl,--no-undefined -Wl,--version-script=$(ui)/link.T $(link)
+	$(compiler) -o out/bsnes_mercury_$(profile)_libretro.so -shared $(objects) -ldl -Wl,--no-undefined -Wl,--version-script=$(ui)/link.T $(link) $(LDFLAGS)
 else ifeq ($(platform),bsd)
 	$(compiler) -o out/bsnes_mercury_$(profile)_libretro.so -shared $(objects) -ldl -Wl,--no-undefined -Wl,--version-script=$(ui)/link.T $(link)
 else ifeq ($(platform),haiku)
